import { HttpClient } from '@wix/sdk-types';
import { QueryOptions, QueryResponse, QueryResponseNonNullableFields } from './data-v1-data-service-data.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function query(httpClient: HttpClient): QuerySignature;
interface QuerySignature {
    /**
     * Retrieves a list of items, on the basis of the filtering, sorting, and paging preferences you provide.
     *
     * For more details on using queries, see [API Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language).
     * @deprecated
     */
    (options?: QueryOptions | undefined): Promise<QueryResponse & QueryResponseNonNullableFields>;
}
export { AggregateOptions, AggregationRequest, AggregationResponse, ApplicationError, BulkError, BulkInsertOptions, BulkInsertReferencesOptions, BulkInsertReferencesRequest, BulkInsertReferencesResponse, BulkInsertRequest, BulkInsertResponse, BulkInsertResponseNonNullableFields, BulkPatchRequest, BulkPatchResponse, BulkRemoveOptions, BulkRemoveReferencesOptions, BulkRemoveReferencesRequest, BulkRemoveReferencesResponse, BulkRemoveRequest, BulkRemoveRequestEntry, BulkRemoveResponse, BulkRemoveResponseNonNullableFields, BulkReplaceReferencesOptions, BulkReplaceReferencesRequest, BulkReplaceReferencesResponse, BulkSaveOptions, BulkSaveRequest, BulkSaveResponse, BulkSaveResponseNonNullableFields, BulkUpdateOptions, BulkUpdateRequest, BulkUpdateResponse, BulkUpdateResponseNonNullableFields, CountOptions, CountRequest, CountResponse, CountResponseNonNullableFields, CursorPaging, Cursors, Details, DistinctOptions, DistinctRequest, DistinctResponse, Entry, GetOptions, GetRequest, GetResponse, InsertOptions, InsertRequest, InsertResponse, IsReferencedOptions, IsReferencedRequest, IsReferencedResponse, IsReferencedResponseNonNullableFields, Item, Options, Order, Paging, PagingMetadataV2, PatchRequest, PatchResponse, PatchWhereRequest, PatchWhereResponse, Query, QueryOptions, QueryReferencedOptions, QueryReferencedRequest, QueryReferencedResponse, QueryReferencedResponseNonNullableFields, QueryRequest, QueryResponse, QueryResponseNonNullableFields, QueryV2, QueryV2PagingMethodOneOf, ReadOptions, Reference, ReferencedEntity, ReferencedEntityEntityOneOf, RemoveOptions, RemoveRequest, RemoveResponse, RestoreFromTrashBinRequest, RestoreFromTrashBinResponse, SaveOptions, SaveRequest, SaveResponse, Segment, SortOrder, Sorting, TruncateOptions, TruncateRequest, TruncateResponse, UpdateOptions, UpdateRequest, UpdateResponse, } from './data-v1-data-service-data.universal.js';
