import { insert as publicInsert, update as publicUpdate, save as publicSave, get as publicGet, remove as publicRemove, truncate as publicTruncate, query as publicQuery, aggregate as publicAggregate, count as publicCount, distinct as publicDistinct, bulkInsert as publicBulkInsert, bulkSave as publicBulkSave, bulkUpdate as publicBulkUpdate, bulkRemove as publicBulkRemove, queryReferenced as publicQueryReferenced, bulkInsertReferences as publicBulkInsertReferences, bulkReplaceReferences as publicBulkReplaceReferences, bulkRemoveReferences as publicBulkRemoveReferences, isReferenced as publicIsReferenced } from './data-v1-data-service-data.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
/** @internal */
export declare const insert: MaybeContext<BuildRESTFunction<typeof publicInsert> & typeof publicInsert>;
/** @internal */
export declare const update: MaybeContext<BuildRESTFunction<typeof publicUpdate> & typeof publicUpdate>;
/** @internal */
export declare const save: MaybeContext<BuildRESTFunction<typeof publicSave> & typeof publicSave>;
/** @internal */
export declare const get: MaybeContext<BuildRESTFunction<typeof publicGet> & typeof publicGet>;
/** @internal */
export declare const remove: MaybeContext<BuildRESTFunction<typeof publicRemove> & typeof publicRemove>;
/** @internal */
export declare const truncate: MaybeContext<BuildRESTFunction<typeof publicTruncate> & typeof publicTruncate>;
export declare const query: MaybeContext<BuildRESTFunction<typeof publicQuery> & typeof publicQuery>;
/** @internal */
export declare const aggregate: MaybeContext<BuildRESTFunction<typeof publicAggregate> & typeof publicAggregate>;
/** @internal */
export declare const count: MaybeContext<BuildRESTFunction<typeof publicCount> & typeof publicCount>;
/** @internal */
export declare const distinct: MaybeContext<BuildRESTFunction<typeof publicDistinct> & typeof publicDistinct>;
/** @internal */
export declare const bulkInsert: MaybeContext<BuildRESTFunction<typeof publicBulkInsert> & typeof publicBulkInsert>;
/** @internal */
export declare const bulkSave: MaybeContext<BuildRESTFunction<typeof publicBulkSave> & typeof publicBulkSave>;
/** @internal */
export declare const bulkUpdate: MaybeContext<BuildRESTFunction<typeof publicBulkUpdate> & typeof publicBulkUpdate>;
/** @internal */
export declare const bulkRemove: MaybeContext<BuildRESTFunction<typeof publicBulkRemove> & typeof publicBulkRemove>;
/** @internal */
export declare const queryReferenced: MaybeContext<BuildRESTFunction<typeof publicQueryReferenced> & typeof publicQueryReferenced>;
/** @internal */
export declare const bulkInsertReferences: MaybeContext<BuildRESTFunction<typeof publicBulkInsertReferences> & typeof publicBulkInsertReferences>;
/** @internal */
export declare const bulkReplaceReferences: MaybeContext<BuildRESTFunction<typeof publicBulkReplaceReferences> & typeof publicBulkReplaceReferences>;
/** @internal */
export declare const bulkRemoveReferences: MaybeContext<BuildRESTFunction<typeof publicBulkRemoveReferences> & typeof publicBulkRemoveReferences>;
/** @internal */
export declare const isReferenced: MaybeContext<BuildRESTFunction<typeof publicIsReferenced> & typeof publicIsReferenced>;
export { Segment, SortOrder, Order, } from './data-v1-data-service-data.universal.js';
export { Item, InsertRequest, Options, InsertResponse, UpdateRequest, UpdateResponse, SaveRequest, SaveResponse, PatchRequest, PatchResponse, PatchWhereRequest, PatchWhereResponse, GetRequest, ReadOptions, GetResponse, RemoveRequest, RemoveResponse, TruncateRequest, TruncateResponse, QueryRequest, Query, Sorting, Paging, QueryV2, QueryV2PagingMethodOneOf, CursorPaging, QueryResponse, PagingMetadataV2, Cursors, AggregationRequest, AggregationResponse, CountRequest, CountResponse, DistinctRequest, DistinctResponse, BulkInsertRequest, BulkInsertResponse, BulkError, ApplicationError, Details, BulkSaveRequest, BulkSaveResponse, BulkUpdateRequest, BulkUpdateResponse, BulkPatchRequest, Entry, BulkPatchResponse, BulkRemoveRequest, BulkRemoveRequestEntry, BulkRemoveResponse, QueryReferencedRequest, QueryReferencedResponse, ReferencedEntity, ReferencedEntityEntityOneOf, BulkInsertReferencesRequest, Reference, BulkInsertReferencesResponse, BulkReplaceReferencesRequest, BulkReplaceReferencesResponse, BulkRemoveReferencesRequest, BulkRemoveReferencesResponse, IsReferencedRequest, IsReferencedResponse, RestoreFromTrashBinRequest, RestoreFromTrashBinResponse, QueryResponseNonNullableFields, CountResponseNonNullableFields, BulkInsertResponseNonNullableFields, BulkSaveResponseNonNullableFields, BulkUpdateResponseNonNullableFields, BulkRemoveResponseNonNullableFields, QueryReferencedResponseNonNullableFields, IsReferencedResponseNonNullableFields, InsertOptions, UpdateOptions, SaveOptions, GetOptions, RemoveOptions, TruncateOptions, QueryOptions, AggregateOptions, CountOptions, DistinctOptions, BulkInsertOptions, BulkSaveOptions, BulkUpdateOptions, BulkRemoveOptions, QueryReferencedOptions, BulkInsertReferencesOptions, BulkReplaceReferencesOptions, BulkRemoveReferencesOptions, IsReferencedOptions, } from './data-v1-data-service-data.universal.js';
